Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 206851 - No or false autocompletion for cols
No or false autocompletion for cols
Status: RESOLVED FIXED
Product: javaee
Classification: Unclassified
Component: Persistence
7.1
PC Windows 7
: P3 (vote)
: 7.2
Assigned To: Sergey Petrov
issues@javaee
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-02 22:02 UTC by muellermi
Modified: 2012-04-14 09:43 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description muellermi 2012-01-02 22:02:20 UTC
Product Version = NetBeans IDE 7.1 (Build 201112051121)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_02
Runtime = Java HotSpot(TM) 64-Bit Server VM 22.0-b10

verify http://wiki.netbeans.org/NewAndNoteworthyNB71#JPA

precondition: database connected to derby, sample

@Entity
@Table(name="")
- between the double-quotes, press ctrl-space
--> NB shows table names
- select CUSTOMER

@Entity
@Table(name="CUSTOMER")
public class Test implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long id;
    @Column(name="")
- between the double-quotes, press ctrl-space
--> no suggestion ###################################

- save file
- between the double-quotes, press ctrl-space
--> all columns of CUSTOMER will be offered

- change Tablename to "PRODUCT"
- between the double-quotes (of column), press ctrl-space
--> all columns of CUSTOMER will be offered ##############################

- save file
- between the double-quotes, press ctrl-space
--> all columns of PRODUCT will be offered

- change Tablename to "CUSTOMER"
- between the double-quotes (of column), press ctrl-space
--> all columns of PRODUCT will be offered ##############################

- remove double-quotes of  @Column(name="") and re-enter them
- between the double-quotes (of column), press ctrl-space
--> no suggestion ###################################

- switch to different source in editor and back
- between the double-quotes (of column), press ctrl-space
--> all columns of PRODUCT will be offered ##############################

- save file
- between the double-quotes, press ctrl-space
--> all columns of CUSTOMER will be offered
Comment 1 Sergey Petrov 2012-01-17 13:58:48 UTC
looks like it's scanning issue, i.e. not waiting for model updates for completion as model may change in unknown place wait for scan finished may cause just unnecessary waiting on other case we have a problem with wrong suggestions here. thanks
Comment 2 Sergey Petrov 2012-01-19 11:13:28 UTC
from description it looks there is simple workaround to get proper completion - save, and looks like model refresh even isn't started until save or swithc to another tab, it may mean first assumption is wrong and it can be fixable without compromise between speed and actual data.
Comment 3 Sergey Petrov 2012-03-28 16:24:29 UTC
http://hg.netbeans.org/web-main/rev/8e33a7bcd7bc "table" should be refreshed after edition now
Comment 4 Sergey Petrov 2012-03-30 11:49:48 UTC
cause http://netbeans.org/bugzilla/show_bug.cgi?id=210424
Comment 5 Quality Engineering 2012-04-02 15:56:05 UTC
Integrated into 'main-golden', will be available in build *201204021038* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/be5d9eb02c92
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #210424, #206851 comment changes
Comment 6 Sergey Petrov 2012-04-13 10:54:40 UTC
http://hg.netbeans.org/web-main/rev/01e00235a05e as a workaround just ctahc exception in case if cached value is used
Comment 7 Quality Engineering 2012-04-14 09:43:02 UTC
Integrated into 'main-golden', will be available in build *201204140400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/01e00235a05e
User: Sergey B. Petrov <sj-nb@netbeans.org>
Log: #206851 use soft/failsafe refresh


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo